package util.sqlparse.visitor.mongo;

import org.bson.BsonValue;

public interface MongoNode {
   String getName();

   void setName(String var1);

   Object value();

   void value(Object var1, Object... var2);

   MongoNode getParent();

   void setParent(MongoNode var1);

   boolean isKeyword();

   BsonValue data();

   BsonNode.BsonNodeType type();

   MongoNode clone() throws CloneNotSupportedException;
}
